* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Roboto', sans-serif;
}

body {
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 40px 0;
  background-color: black;
}

.container {
  box-shadow: 0px 1px 15px 1px #581845c3;
  padding-top: 50px;
}

.hidden {
  display: none !important;
}

nav {
  position: sticky;
}

.btns {
  justify-content: space-around;
 display: flex;
 flex-direction: row;
  margin-bottom: 20px;
  background-color: black;
  margin: 0 50px;
}

#todas, #hechas, #pendientes {

  background-color:  #58184576 !important;
}

.contenedor {
  width: 700px;
  min-height: 500px;
  color: whitesmoke;
  background-color: black;
  padding: 40px;
  border-radius: 20px;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
}

h1 {
  text-shadow: 1px 1px 15px whitesmoke;
  font-size: 50px;
  font-weight: bold;
}

input {
  width: 80%;
  height: 50px;
  font-size: 25px;
  margin: 20px;
  padding: 10px;
  border: 4px solid #404040;
  border-radius: 10px;
}

.aggTarea, #todas, #hechas, #pendientes {
  width: 150px;
  height: 60px;
  padding: 10px;
  color: white;
  background-color: #414141b8;
  color: #ffffff;
  font-size: 22px;
  border-radius: 20px;
  border: none;
  cursor: pointer;
  user-select: none;
}

.aggTarea:hover {
  background-color: #ffffffb8;
  color: black;
  border: 1px solid #414141b8;
}

#lista-tareas {
  width: 80%;
  margin-top: 20px;
}

.tarea {
  width: 100%;
  min-height: 70px;
  font-size: 25px;
  padding: 10px;
  margin-top: 10px;
  color: white;
  background-color: #58184576;
  border: 2px solid black;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  text-align: center;
}

.tarea.completada {
  text-decoration: line-through;
  background-color: #222222;
  border: none;
}

.tarea p {
  max-width: 350px;
}

i {
  margin: 5px;
  padding: 10px;
  cursor: pointer;
}

.icono-eliminar, .icono-completar  {
  color: white;
}

.icono-completar:hover{
  background-color: rgba(255, 255, 255, 0.523);
}

.icono-eliminar:hover {
  background-color: rgb(154, 53, 53);
}

.flex {
  display: flex;
}

#n-tareas{
  margin-left: 6px;
}